Last modified: 2014-02-08 07:57:50 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 19020 - Broken interwiki search results on Swedish Wikipedia
Broken interwiki search results on Swedish Wikipedia
Status: RESOLVED WONTFIX
Product: Wikimedia
Classification: Unclassified
lucene-search-2 (Other open bugs)
unspecified
All All
: Normal enhancement (vote)
: ---
Assigned To: Rob Halsell
http://sv.wikipedia.org/w/index.php?t...
:
Depends on: 44420
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-31 09:38 UTC by Lejonel
Modified: 2014-02-08 07:57 UTC (History)
3 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Lejonel 2009-05-31 09:38:06 UTC
When searching on Swedish Wikipedia and getting interwiki results from Wikisource, the results are incorrect. The interwiki result box says "Results in sv.wikipedia.org". And the links does not leads to Wikisource, but to Wikipedia article "S::Pagename". Correct links to Wikisource from Swedish Wikipedia are "Src:Pagename".
Comment 1 Robert Stojnic 2009-05-31 09:55:57 UTC
Currently the algorithm relies on interwiki prefixes being uniform accross wikis.. Is there a reason why interwiki for wikisource should be different for swedish wp? If not, the easiest way to fix this is to add s: to sw.wp interwiki table as well. 

Comment 2 Lejonel 2009-05-31 19:16:38 UTC
In Swedish "S:t" and "S:ta" are very common abbreviations for "Sankt" and "Sankta". It is used in a many names of things named after saints, like "St." is used in English. So we want to be able to have articles (or at least redirects) starting with that. Otherwise it will be very confusing for users who write "S:t <some name>" in the search box, press enter, and end up at the Wikisource page "T <some name>", which does not exist.
Comment 3 Robert Stojnic 2009-05-31 22:37:50 UTC
OK then, I've added the exception for swedish projects, but it looks like on other sv projects, s: prefix is used instead of src: ... so now interwiki search is broken on e.g. svwiktionary ... If this is a common abbriviation, shouldn't it then be changed on all sv projects?
Comment 4 Brion Vibber 2009-07-13 20:39:51 UTC
Rob, can you follow up w/ the interwiki config state here? Thanks!
Comment 5 Chad H. 2014-02-06 17:58:50 UTC
Interwiki search results haven't been turned on in lsearchd in years and they won't be now. We're fixing this in Cirrus via bug 44420.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links